Package com.databricks.jdbc.model.client.thrift.generated

## Class TTableSchema

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TTableSchema

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTableSchema>`, `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TTableSchema
    extends Object
    implements org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>, Serializable, Cloneable, Comparable<TTableSchema>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTableSchema._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TColumnDesc>` `columns`
`static Map<TTableSchema._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TTableSchema()`
`TTableSchema​(TTableSchema other)` Performs a deep copy on other.
`TTableSchema​(List<TColumnDesc> columns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColumns​(TColumnDesc elem)`
`void` `clear()`
`int` `compareTo​(TTableSchema other)`
`TTableSchema` `deepCopy()`
`boolean` `equals​(TTableSchema that)`
`boolean` `equals​(Object that)`
`TTableSchema._Fields` `fieldForId​(int fieldId)`
`List<TColumnDesc>` `getColumns()`
`Iterator<TColumnDesc>` `getColumnsIterator()`
`int` `getColumnsSize()`
`Object` `getFieldValue​(TTableSchema._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TTableSchema._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumns()` Returns true if field columns is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TTableSchema` `setColumns​(List<TColumnDesc> columns)`
`void` `setColumnsIsSet​(boolean value)`
`void` `setFieldValue​(TTableSchema._Fields field, Object value)`
`String` `toString()`
`void` `unsetColumns()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### columns

    public List<TColumnDesc> columns

#### metaDataMap

    public static final Map<TTableSchema._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTableSchema

    public TTableSchema()

#### TTableSchema

    public TTableSchema​(List<TColumnDesc> columns)

#### TTableSchema

    public TTableSchema​(TTableSchema other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTableSchema deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`

#### getColumnsSize

    public int getColumnsSize()

#### getColumnsIterator

    public Iterator<TColumnDesc> getColumnsIterator()

#### addToColumns

    public void addToColumns​(TColumnDesc elem)

#### getColumns

    public List<TColumnDesc> getColumns()

#### setColumns

    public TTableSchema setColumns​(List<TColumnDesc> columns)

#### unsetColumns

    public void unsetColumns()

#### isSetColumns

    public boolean isSetColumns()

Returns true if field columns is set (has been assigned a value) and false otherwise

#### setColumnsIsSet

    public void setColumnsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTableSchema._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTableSchema._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`

#### isSet

    public boolean isSet​(TTableSchema._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTableSchema that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTableSchema other)

Specified by:
  `compareTo` in interface `Comparable<TTableSchema>`

#### fieldForId

    public TTableSchema._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTableSchema,​TTableSchema._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`